<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEntry Constructor (UInt32, UInt32)
DatabaseEntry Class See Also Send Feedback

Create a new partial DatabaseEntry object.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public DatabaseEntry(
    	uint offset,
    	uint len
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	offset As UInteger, _
    	len As UInteger _
    )

Visual C++

    public:
    DatabaseEntry(
    	unsigned int offset,
    	unsigned int len
    )

#### Parameters

offset
  Type: System..::.UInt32
  The offset of the partial record being read or written by the application, in bytes

len
  Type: System..::.UInt32
  The byte length of the partial record being read or written by the application

# See Also

DatabaseEntry Class
DatabaseEntry Overload
BerkeleyDB Namespace